Bug 1225980 - Package tscdeadline_latency.flat with qemu-kvm-rhev
Summary: Package tscdeadline_latency.flat with qemu-kvm-rhev
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Jeff Nelson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1175461
TreeView+ depends on / blocked
 
Reported: 2015-05-28 15:42 UTC by Jeremy Eder
Modified: 2015-12-04 16:42 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.3.0-15.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 16:42:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2546 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2015-12-04 21:11:56 UTC

Comment 3 Jaroslav Škarvada 2015-05-29 14:30:42 UTC
Please provide link to the code / upstream SCM repo with the code.

Comment 4 Jaroslav Škarvada 2015-05-29 15:46:17 UTC
The link I got from e-mail:
https://github.com/jeremyeder/tuned-profiles-realtime/tree/master/profiles/realtime-virtual-host

I am going to check, whether it is possible to "seamlessly" integrate the functionality into tuned.

Comment 5 Jaroslav Škarvada 2015-05-29 15:47:42 UTC
(In reply to Jaroslav Škarvada from comment #4)
> The link I got from e-mail:
> https://github.com/jeremyeder/tuned-profiles-realtime/tree/master/profiles/
> realtime-virtual-host
> 
> I am going to check, whether it is possible to "seamlessly" integrate the
> functionality into tuned.

By "seamlessly" I mean turning it into native tuned code.

Comment 7 Jaroslav Škarvada 2015-06-02 15:21:21 UTC
I checked the source and it seems unrelated and standalone to me.

I am against bundling C code from different upstream repository into
python only project just because there is currently no home for it. Bundling is evil, and usually brings more problems later. New package should be created.

Comment 8 Jeff Nelson 2015-06-04 18:58:12 UTC
Reopening, assigned to me and qemu-kvm-rhev.

tscdeadline_latency.flat still needs to be delivered.

Comment 10 Miroslav Rezanina 2015-08-05 08:19:41 UTC
Fix included in qemu-kvm-rhev-2.3.0-15.el7

Comment 12 Shaolong Hu 2015-08-13 08:48:15 UTC
Since the patch adds extra stuff other than fix something, only verify on qemu-kvm-rhev-2.3.0-17.el7.x86_64:

1. check in qemu-kvm/redhat:

here is kvm-unit-tests.git-4ea7633.tar.bz2

2. check qemu-kvm-tools-rhev content:

# rpm -ql qemu-kvm-tools-rhev
/usr/bin/kvm_stat
/usr/share/qemu-kvm/tscdeadline_latency.flat

Comment 14 errata-xmlrpc 2015-12-04 16:42:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2546.html


Note You need to log in before you can comment on or make changes to this bug.